//
// Link with wininet.lib
// gcc -o hangup hangup.c -mwindows -lwininet
// strip -s hangup.exe
//
// 	Hangs up an autodialed connection
//
//  copyright 2006 howto.gumph.org
//

#include<windows.h>
#include<wininet.h>
#include<stdio.h>
#include<stdlib.h>

int WINAPI WinMain (HINSTANCE hInstance, 
                        HINSTANCE hPrevInstance, 
                        PSTR szCmdLine, 
                        int iCmdShow) 
{
	BOOL bRet;
	DWORD dwFlags;
	DWORD dwReserved;

	dwReserved = 0;

	// Check if we are auto connected
	bRet = InternetGetConnectedState( &dwFlags , dwReserved );

	// If we are, then ask if they want to stay connected.
	if ( bRet == TRUE )
	{
		if (MessageBox(NULL, "Do you want to stay connected?", "Stay Connected?", MB_YESNO + MB_ICONQUESTION)==IDNO) 
		{   
			// Hangup if they clicked on NO
			bRet	 = InternetAutodialHangup( 0 );
		}	
	}

	// Ignore Errors, and just exit.
	return 0;
}

